# Uses of Interface
com.sun.mirror.declaration.AnnotationTypeElementDeclaration

Packages that use AnnotationTypeElementDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of AnnotationTypeElementDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type AnnotationTypeElementDeclaration
Modifier and Type
Method
Description
`Map<AnnotationTypeElementDeclaration,AnnotationValue>`
AnnotationMirror.`getElementValues()`
Returns this annotation's elements and their values.
`Collection<AnnotationTypeElementDeclaration>`
AnnotationTypeDeclaration.`getMethods()`
Returns the annotation type elements of this annotation type.

## Uses of AnnotationTypeElementDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type AnnotationTypeElementDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitAnnotationTypeElementDeclaration(AnnotationTypeElementDeclaration d)`
Visits an annotation type element declaration.
`void`
SimpleDeclarationVisitor.`visitAnnotationTypeElementDeclaration(AnnotationTypeElementDeclaration d)`
Visits an annotation type element declaration.